Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class Jsf2FlowViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler
          org.springframework.faces.webflow.FlowViewHandler
              org.springframework.faces.webflow.Jsf2FlowViewHandler

    public class Jsf2FlowViewHandler

extends FlowViewHandler

Extends FlowViewHandler in order to provide JSF 2 delegation method. This is necessary because some of the methods use JSF 2 specific types as input or output parameters.

Author:
  Rossen Stoyanchev

Field Summary

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, DISABLE_FACELET_JSF_VIEWHANDLER_PARAM_NAME, FACELETS_BUFFER_SIZE_PARAM_NAME, FACELETS_DECORATORS_PARAM_NAME, FACELETS_LIBRARIES_PARAM_NAME, FACELETS_REFRESH_PERIOD_PARAM_NAME, FACELETS_SKIP_COMMENTS_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`Jsf2FlowViewHandler(javax.faces.application.ViewHandler delegate)`

Method Summary
`java.lang.String` | `calculateCharacterEncoding(javax.faces.context.FacesContext context)`
`java.lang.String` | `getBookmarkableURL(javax.faces.context.FacesContext context, java.lang.String viewId, java.util.Map parameters, boolean includeViewParams)`
`java.lang.String` | `getRedirectURL(javax.faces.context.FacesContext context, java.lang.String viewId, java.util.Map parameters, boolean includeViewParams)`
`javax.faces.view.ViewDeclarationLanguage` | `getViewDeclarationLanguage(javax.faces.context.FacesContext context, java.lang.String viewId)`
`void` | `initView(javax.faces.context.FacesContext context)`

Methods inherited from class org.springframework.faces.webflow.FlowViewHandler
`calculateLocale, calculateRenderKitId, createView, deriveViewId, getActionURL, getDelegate, getResourceURL, renderView, restoreView, writeState`

Methods inherited from class javax.faces.application.ViewHandler
`addProtectedView, deriveLogicalViewId, getProtectedViewsUnmodifiable, removeProtectedView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsf2FlowViewHandler

    public Jsf2FlowViewHandler(javax.faces.application.ViewHandler delegate)

Method Detail

### calculateCharacterEncoding

    public java.lang.String calculateCharacterEncoding(javax.faces.context.FacesContext context)

  Overrides:
    `calculateCharacterEncoding` in class `javax.faces.application.ViewHandler`

### getBookmarkableURL

    public java.lang.String getBookmarkableURL(javax.faces.context.FacesContext context,
                                               java.lang.String viewId,
                                               java.util.Map parameters,
                                               boolean includeViewParams)

  Overrides:
    `getBookmarkableURL` in class `javax.faces.application.ViewHandler`

### getRedirectURL

    public java.lang.String getRedirectURL(javax.faces.context.FacesContext context,
                                           java.lang.String viewId,
                                           java.util.Map parameters,
                                           boolean includeViewParams)

  Overrides:
    `getRedirectURL` in class `javax.faces.application.ViewHandler`

### getViewDeclarationLanguage

    public javax.faces.view.ViewDeclarationLanguage getViewDeclarationLanguage(javax.faces.context.FacesContext context,
                                                                               java.lang.String viewId)

  Overrides:
    `getViewDeclarationLanguage` in class `javax.faces.application.ViewHandler`

### initView

    public void initView(javax.faces.context.FacesContext context)
                  throws javax.faces.FacesException

  Overrides:
    `initView` in class `javax.faces.application.ViewHandler`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD